import request from '@/utils/request'

// 查询企业产值列表
export function listValue(query) {
    return request({
        url: '/crmOutputValue/findByPage',
        method: 'get',
        params: query
    })
}

// 查询企业产值详细
export function getValue(id) {
    return request({
        url: '/crmOutputValue/' + id,
        method: 'get'
    })
}

// 新增企业产值
export function addValue(data) {
    return request({
        url: '/crmOutputValue',
        method: 'post',
        data: data
    })
}

// 修改企业产值
export function updateValue(data) {
    return request({
        url: '/crmOutputValue',
        method: 'put',
        data: data
    })
}

// 删除企业产值
export function delValue(id) {
    return request({
        url: '/crmOutputValue/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delValueBatch(ids) {
    console.log(ids);
    return request.post('/crmOutputValue/delete',ids)
}